%define binary lives-exe
%define beta pre1
%define plugindir /lib/lives/plugins/

Name: LiVES
Version: 0.9.1
Release: alt0.6%beta

Summary: The Linux Video Editing System
Summary(ru_RU.KOI8-R):    Linux
License: GPL
Group: Video
Url: http://www.xs4all.nl/~salsaman/lives

Source: %url/%name-%version-%beta-src.tar.bz2
Patch: %name-0.8.1-alt-makefile.patch
#Patch1: %name-0.7.5-alt-default_dirs.patch

Requires: libgtk+2 >= 2.2
Requires: ImageMagick >= 5.4
Requires: MPlayer >= 0.90-alt18
Requires: sox
Requires: transcode
Requires: ffmpeg

# Automatically added by buildreq on Mon Jun 07 2004 (-bi)
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 glib2-devel libSDL-devel libatk-devel libgtk+2-devel libpango-devel menu-devel pkgconfig python-base python-modules-compiler python-modules-encodings rpm-build-python

BuildRequires: gnome-common >= 1.2.4-alt3 menu-devel

%description
LiVES (the Linux Video Editing System) is intended to be a simple yet
powerful video effects and editing system. It will use commonly
available tools like mplayer, ImageMagick, and GTK+, and in the future
possibly gstreamer or xine. It is currently usable for small video files.

%description -l ru_RU.KOI8-R
LiVES (the Linux Video Editing System)    , 
     - .  
 Gtk+,       Σ 
,  MPlayer/mencoder  ImageMagick ( , , 
gstreamer  Xine).      LiVES 
    .

%prep
%setup -q -n %name-%version-%beta
#%patch -p1
%__subst 's,\(\#define PLUGIN_DIR "\)/share/lives/plugins/,\1%plugindir,' src/main.h

%build
%configure
%make_build
pushd src-video-plugins
#./make
gcc `pkg-config --cflags gtk+-2.0` -fPIC $RPM_OPT_FLAGS -c -I/usr/include/SDL -D_REENTRANT SDL.c
gcc -shared -Wl,-soname,SDL.so.1 -o SDL $RPM_OPT_FLAGS -lSDL -lpthread `pkg-config --libs gtk+-2.0` SDL.o
popd

pushd livido-plugins
gcc -rdynamic test.c %optflags_shared -shared -ldl -o test
popd

%install
%makeinstall install-strip
%__install -m755 smogrify midistop midistart %buildroot%_bindir/
%__mkdir_p %buildroot{%_libdir,%_datadir}/lives
%__tar -zxf lives-plugins-%version-%beta.tar.gz -C %buildroot%_libdir/lives/
%__tar -zxf lives-themes-%version-%beta.tar.gz -C %buildroot%_datadir/lives/

%__install -pD -m755 src-video-plugins/SDL %buildroot%_libdir/lives/plugins/playback/video/SDL
%__install -pD -m755 livido-plugins/test %buildroot%_libdir/lives/plugins/effects/livido/test

%__ln_s -f lives-exe %buildroot%_bindir/lives

# GNOME2 desktop file
%__mkdir_p %buildroot%_datadir/applications
%__cat <<__MENU__ > %buildroot%_datadir/applications/%name.desktop
[Desktop Entry]
Name=LiVES
Comment=The Linux Video Editing System
Exec=%binary
Icon=video_section.png
Terminal=false
Type=Application
Categories=GNOME;Multimedia;Video;
__MENU__

# menu
%__mkdir_p %buildroot/%_menudir
freedesktop2menu.pl %name "Multimedia/Video" \
    %buildroot/%_datadir/applications/%name.desktop \
    %buildroot/%_menudir/%name

%find_lang %binary

%post
%update_menus

%postun
%clean_menus

%files -f %binary.lang
%_bindir/*
%_datadir/applications/%name.desktop
%_datadir/lives/
%_libdir/lives/
%_menudir/*
%doc AUTHORS BUGS CHANGELOG FEATURES
%doc GETTING.STARTED NEWS README

%changelog
* Mon Jun 07 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.1-alt0.6pre1
-  0.9.1pre1.

* Fri Apr 30 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt0.6pre1
- plugins moved to %%_libdir/lives (ZerG).
- requires ffmpeg.

* Fri Apr 30 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt0.5pre1
- 0.9.0pre1.

* Wed Mar 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.5-alt0.5
- 0.8.5

* Thu Dec 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt0.5
- 0.8.1

* Thu Sep 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.5-alt0.5
- new version.

* Thu Jun 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.5-alt0.5
- 0.6.5
- summary, description by avp

* Sat Jun 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt0.5
- new version

* Sat May 31 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.5-alt0.5
- Adopted for Sisyphus.

* Thu May 30 2003 G. Finch <salsaman@xs4all.nl>
- Version 0.5.5

